# DSP Galactic Scale 2.0 Mod

- Version 2.2.0.20 - Actually fix landing on planets 

- Version 2.2.0.19 - (Unreleased) Fix broken stations from DSP Icarus Evolution Update

- Version 2.2.0.18 - Fix landing on planets

- Version 2.2.0.17 - Fix Nebula API Dependency

- Version 2.2.0.16 - 2.2.0.14 Save Compatibility Fix

- Version 2.2.0.15 - Fix for Blueprint bug caused by latest DSP update. Thanks to Tartarus Music & Raptor for diagnosing this issue.
 
- Version 2.2.0.14 - Updated game version 0.8.23.9989

- Version 2.2.0.13 - Updated game version

- Version 2.2.0.12 - Fixed bug with Achievement Panel causing error on game start

- Version 2.2.0.11 - Fixed compatibility with game update

- Version 2.2.0.10 - Fixed client bug when host warps using Nebula Multiplayer

- Version 2.2.0.9 - Fixed bug caused by 2.2.0.8

- Version 2.2.0.8 - Fixed error caused by DSP Update's achievement code, that would occur after a few galaxy generations. Bumped NebulaAPI Version requirement.

- Version 2.2.0.7 - Fixed loading times caused by 2.2.0.6

- Version 2.2.0.5 - Fixed planets with reverse rotation/orbit. Fixed orbital resonance text.

- Version 2.2.0.4 - Fixed birth planet moon theme selection

- Version 2.2.0.3 - External themes fixed

- Version 2.2.0.2 - Updated for DSP ver 8.21.8562. All new themes added.

- Version 2.2.0.1 - Fix for new version of DSP. Not all new planet themes have been added, working on getting them in ASAP

Version 2.2 - Out of Beta and considered complete. :)

[![Galactic Scale Trailer](https://github.com/Touhma/DSP_Plugins/blob/main/thumb.png?raw=true)](https://www.youtube.com/watch?v=JpdW3S73hYw "Galactic Scale Trailer - Click to Watch!")

Play with friends!
https://dsp.thunderstore.io/package/nebula/NebulaMultiplayerMod/

Remember to swing by our discord for planet themes, custom galaxies, blueprints, and help!
https://discord.gg/NbpBn6gM6d

-----------

# What Galactic Scale 2.0 is: A Framework for creating generator plugins that can completely customize everything to do with galaxy/planet generation in Dyson Sphere Program, with two different generators built in.

What can be customized?

- Planet Sizes from 5-510 tile radius (Vanilla is 200)
- Gas Giant Sizes from 500-5100
- Star Counts from 1-1024+ stars
- Planet Themes (New planet types aplenty)
- Vein Distribution
- Terrain Generation
- Vegetation Distribution
- Star location, size, luminosity etc. All exposed to configuration.
- Binary Stars.
- System generation. Everything is configurable. Planets can share orbits.
- All planets can have moons, including planets that are already moons. Moonception.
- Planet material customization. Tinting, texture replacement etc.
- Planet shader configuration. Change ocean and atmosphere params.
- Binary Planets.

And so much more that I've forgotten. Documentation will be coming soon!

/!\ READ THIS

# Discord for Galactic Scale's team work
https://discord.gg/NbpBn6gM6d To talk about the mod and ask me questions directly :)

# Patch notes & releases :
You can find all the releases and patch notes on the discord server or https://github.com/Touhma/DSP_Plugins/releases

# Bug report :
Go on the discord or post a ticket here :
https://github.com/Touhma/DSP_Plugins/issues

## Disclaimer
This mod is pretty much incompatible with anything touching on any part of the generation, though we try and work with other mod creators to address compatibility issues.

We need feedback, bug reports, and ideas. Plus we are always looking for dev help!.

Have fun!

## How to Install :

Use the Thunderstore Mod Manager. It's much better than manually installing.

First Install Bepinex in your game
folder : https://bepinex.github.io/bepinex_docs/master/articles/user_guide/installation/index.html?tabs=tabid-win

Then Download the latest release of the mod : https://github.com/Touhma/DSP_Plugins/releases

Add it in bepinex plugins folder in your game : %gamefolder%\Dyson Sphere Program\BepInEx\plugins

Launch the game and you should be all set !

## How to use galactic-scale ?

All settings are in the in game settings menu
There are 2 generators in the beta release:
- Sol: An accurate rendition of our solar system and neighboring stars.
- GalacticScale: Customize everything!

Additional generators are available in discord, and can be created by the community! Documentation on this feature will be written soon.

## For modders :

We spent a lot of time working on that mod so please ... don't be a thiefy mcThieferson.

If you have some features or ideas that would need our code to work, talk to the main dev first ( innominata#0454 ) on Discord about it. GS2 is very expandable, and you can probably do it easily with a generator or other plugin.

If you wanna fix something, please go ahead and do a pull request, we'll happily credit you for your work.

Do NOT make a mod just to change the default configuration or a few parameters, create your own generator instead :) if it's good it can make it to the official release of the mod.

We would love that mod to be a framework for community created plugins concerning everything around the generation of the moons, planets, stars, etc

This mod is and will always be free of charge for everyone.

We'll see in the future if people wanna give us a pint of beer if they wanna support us, but again : it will stay open & free of charge for everyone.
